(*
Copyright 2011 Christian Sternagel, René Thiemann

This file is part of IsaFoR/CeTA.

IsaFoR/CeTA is free software: you can redistribute it and/or modify it under the
terms of the GNU Lesser General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

IsaFoR/CeTA is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along
with IsaFoR/CeTA. If not, see <http://www.gnu.org/licenses/>.
*)
theory SN_Orders2
imports SN_Orders
begin

(* this theory is used to collect differences between official afp and 
   our version *)

class max_ordered_semiring_1 = max_ordered_monoid_add + ordered_semiring_1

class poly_carrier = max_ordered_semiring_1 + comm_semiring_1 + SN_Orders.poly_carrier

locale poly_order_carrier = SN_Orders.poly_order_carrier default gt power_mono discrete
  for default :: "'a :: poly_carrier" and gt and power_mono and discrete 

end
